Forum: Ruby on Rails Unable to install RMagick

Announcement (2017-05-07): www.ruby-forum.com is now read-only since I unfortunately do not have the time to support and maintain the forum any more. Please see rubyonrails.org/community and ruby-lang.org/en/community for other Rails- und Ruby-related community platforms.
8a050ebf8713219265609f952d1e220b?d=identicon&s=25 Lakshmi Kaza (lakshmi)
on 2009-04-30 21:36

Hi All,

I am new to rmagick and ruby. I am using ruby 1.8.6 version

Actually i downloaded rmagic2.9.0 win32 version and i unzipped it and i
installed imageMagic-6.4.8. Then from command prompt i gave gem update
--system.

C:>gem update --system
Updating RubyGems Nothing to update

then

C:>gem install rmagick --local
ERROR: could not find gem rmagick locally or in a repository

then try giving

C:>gem list --remote --all rmagick

* REMOTE GEMS *

rmagick (2.9.1, 2.9.0, 2.8.0, 2.7.2, 2.7.1, 2.7.0, 2.6.0, 2.5.2, 2.5.1,
2.5.0, 2 .4.0, 2.3.0, 2.2.2, 2.2.0, 2.1.0, 2.0.0, 1.15.17, 1.15.16,
1.15.15, 1.15.14, 1.1 5.13, 1.15.12, 1.15.11, 1.15.10, 1.15.9, 1.15.8,
1.15.7, 1.15.6, 1.15.5, 1.15.4, 1.15.3, 1.15.2, 1.15.1, 1.15.0, 1.14.1,
1.14.0, 1.13.0, 1.12.0, 1.11.1, 1.11.0, 1.10.1, 1.10.0, 1.9.3, 1.9.2,
1.9.1, 1.9.0, 1.8.3, 1.8.2, 1.8.1, 1.8.0, 1.7.4, 1.7.3, 1.7.2, 1.7.1)
rmagick4j (0.3.7, 0.3.6, 0.3.5, 0.3.4, 0.3.3, 0.3.2, 0.3.1)

then

C:>gem install rmagick -win32 -v 2.9.0
Building native extensions. This could take a while... ERROR: Error
installing rmagick: ERROR: Failed to build gem native extension.

c:/ruby/bin/ruby.exe extconf.rb
+----------------------------------------------------------------------------+
| This rmagick gem is for use only on Linux, BSD, OS X, and similar
systems | | that have a gnu or similar toolchain installed. The
rmagick-win32 gem is a | | pre-compiled version of RMagick bundled with
ImageMagick for use on | | Microsoft Windows systems. The rmagick-win32
gem is available on RubyForge.| | See
http://rmagick.rubyforge.org/install-faq.html for more information. |
+----------------------------------------------------------------------------+
* extconf.rb failed * Could not create Makefile due to some reason,
probably lack of necessary libraries and/or headers. Check the mkmf.log
file for more details. You may need configuration options.

Provided configuration options: --with-opt-dir --without-opt-dir
--with-opt-include --without-opt-include=${opt-dir}/include
--with-opt-lib --without-opt-lib=${opt-dir}/lib --with-make-prog
--srcdir=. --curdir --ruby=c:/ruby/bin/ruby

Gem files will remain installed in C:/n32/gems/rmagick-2.9.0 for
inspection. Results logged to
C:/n32/gems/rmagick-2.9.0/ext/RMagick/gem_make.out

I am unable to install rmagick. Can any one please help me in solving
ths problem? Thanks in advance.
81b61875e41eaa58887543635d556fca?d=identicon&s=25 Frederick Cheung (Guest)
on 2009-04-30 23:13
(Received via mailing list)
On Apr 30, 8:36 pm, Lakshmi Kaza <rails-mailing-l...@andreas-s.net>
wrote:
>
> C:>gem install rmagick -win32 -v 2.9.0
> Building native extensions. This could take a while... ERROR: Error
> installing rmagick: ERROR: Failed to build gem native extension.

just a guess, but that should probably rmagick-win32 (ie all one word)
rather than rmagick -win32.

Fred
B33ea5c12d767bfd1253940a960274f5?d=identicon&s=25 Tim Hunter (timhunter)
on 2009-05-01 02:17
Lakshmi Kaza wrote:
> +----------------------------------------------------------------------------+
> | This rmagick gem is for use only on Linux, BSD, OS X, and similar
> systems | | that have a gnu or similar toolchain installed. The
> rmagick-win32 gem is a | | pre-compiled version of RMagick bundled with
> ImageMagick for use on | | Microsoft Windows systems. The rmagick-win32
> gem is available on RubyForge.| | See
> http://rmagick.rubyforge.org/install-faq.html for more information. |
> +----------------------------------------------------------------------------+


http://rmagick.rubyforge.org/install-faq.html#win
This topic is locked and can not be replied to.